import db_postgres, macros, options, postgres, sequtils, strutils,
  times, timeutils, unicode, uuids

import ./models
import ./db_common

type
  PMApiDb* = ref object
    conn: DbConn

  
proc connect*(connString: string): PMApiDb =
  result = PMApiDb(conn: open("", "", "", connString))

generateProcsForModels([User, ApiToken, Measure, Value])

generateLookup(User, @["email"])
generateLookup(ApiToken, @["userId"])
generateLookup(Measure, @["userId"])
generateLookup(Value, @["measureId"])
